@echo off
if exist debug echo on
rem -----------------------------------------------------------------------------
rem                       GRTOOL - A Link To Grid Interface
rem -----------------------------------------------------------------------------
rem FILE    : grparam.bat Version 2.5
rem DATE    : 16-12-93
rem AUTHOR  : Lukas Spiess
rem USAGE   : grparam 
rem
rem REMARKS : Be sure that either
rem           - GRPARAMA.EXE is in a directory of the current path or
rem           - the environment variable GRTOOL is set to the directory
rem             containing GRPARAMA.[AWK,EXE] (E.g. set GRTOOL=c:\grtool)
rem CHANGE  :
rem 04-01-94: One batchfile for both awk and exe versions
rem 05-01-94: Autodetection of GRPARAMA.AWK to set the variable GRTOOL,
rem           searching in the current and the path directories.
rem           Problem: This doesn't work properly with long pathes.
rem 28-01-94: - Environment variable GRTOOL changed to GRTOOL
rem           - Name GRPARAM.AWK changed to GRPARAMA.AWK
rem           - Batch control structure modified, more error messages 
rem 10-02-94: - The same awk file can used on DOS and UNIX systmes without any
rem             changes. The temporary file grtool.tmp, which has to be
rem             created by the DOS batch file or by the UNIX shell script
rem             allows to specify the message output device by the keyword
rem             OUTPUT device and the sort program to be used is referenced by
rem             the keyword GRSORT sort-program. Under this is usually 
rem             GRSORT gsort and OUTPUT con, under UNIX GRSORT sort and
rem             OUTPUT grtool.log or /dev/tty.
rem *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-* 

if not x%1 == x set output=%1 
if not %GRTOOL%x == x goto NoAutoDetection 
echo Autodetection of GRPARAMA.EXE and GRPARAMA.AWK ...
set GRTOOL=.
for %%f in (%path% .) do if exist %%f\grparama.awk set GRTOOL=%%f
if not %GRTOOL%x == x set Call=gawk -f %GRTOOL%\grparama.awk 
for %%f in (%path% .) do if exist %%f\grparama.exe set Call=grparama.exe
if %Call%x == x goto NoProgram
goto Run
:NoAutoDetection
echo Variable GRTOOL is currently : %GRTOOL%
if exist %GRTOOL%\grparama.awk set Call=gawk -f %GRTOOL%\grparama.awk 
if exist %GRTOOL%\grparama.exe set Call=%GRTOOL%\grparama.exe 
if %Call%x == x goto NoProgram
:Run
echo OUTPUT con > grtool.tmp
echo The running module is       : %Call% ...
%Call% 
if exist grtool.tmp del grtool.tmp
goto End
:NoProgram
echo *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
echo ERROR: Neither GRPARAMA.EXE nor GRPARAMA.AWK are executable ! 
echo        Put the program to a path directory or set GRTOOL correctly !
echo *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
goto Exit
:End
if %GRTOOL%x == .x set GRTOOL=
set Call=
:Exit
